Subject: [IPsec] Identifier(ID) field in RADIUS-CHAP for X-AUTH

From: "varun singhal" <[email-masked]>
Date: Sun, 23 Sep 2007 19:54:40 +0530

Hi Everybody

I am working with XAUTH draft-06. The draft specifies RADIUS-CHAP as one of
the authentication methods that can be used for XAUTH. I am not sure what is
the ID to be used to hide the password using RADIUS-CHAP in XAUTH. Could
somebody help me with it?
The XAUTH draft uses ID as "aa" in the example given in the Appendix. Is it
some standard value, or just choosen arbitarily? It can very well be a
random value as we anyway affix this ID to the hidden password in our Reply.
The XAUTH draft does not specify anything in particular.
The RADIUS-CHAP draft says that the ID value used to form the reply is
included in the request itself, but this does not seem to be the case while
using RADIUS-CHAP with XAUTH.

Does somebody know, what is the ID value used by different vendors?

Regards
Varun
_______________________________________________
IPsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec

---

From: ns srinivasa murthy <[email-masked]>
Date: Mon, 24 Sep 2007 13:34:04 +0530

Hi,
This ID can be any value and it need not be just "aa".The IPSec 
client calculates a hash on the concatenated value of "this id 
+  password + the challenge received from edge device".The 16 bit 
hash value is prepended with this one byte ID  while sending the 
response.The edge device has to use this ID value while generating 
hash and then comparing with the received hash value.
-ns murthy

At 07:54 PM 9/23/2007, varun singhal wrote:
>Hi Everybody
>
>I am working with XAUTH draft-06. The draft specifies RADIUS-CHAP as 
>one of the authentication methods that can be used for XAUTH. I am 
>not sure what is the ID to be used to hide the password using 
>RADIUS-CHAP in XAUTH. Could somebody help me with it?
>The XAUTH draft uses ID as "aa" in the example given in the 
>Appendix. Is it some standard value, or just choosen arbitarily? It 
>can very well be a random value as we anyway affix this ID to the 
>hidden password in our Reply. The XAUTH draft does not specify 
>anything in particular.
>The RADIUS-CHAP draft says that the ID value used to form the reply 
>is included in the request itself, but this does not seem to be the 
>case while using RADIUS-CHAP with XAUTH.
>

********************************************************************************
This email message (including any attachments) is for the sole use of the intended recipient(s) 
and may contain confidential, proprietary and privileged information. Any unauthorized review, 
use, disclosure or distribution is prohibited. If you are not the intended recipient, 
please immediately notify the sender by reply email and destroy all copies of the original message. 
Thank you.
 
Intoto Inc.